/* Concatenate all user output into a single file. */

data empty;
   input test 1-2 user 4-7 trial 10-12
      n 15-16 i 19-20 s 22-23 target $ 26-40
      x 41-43 y 47-49 in 52 found 55 time 62-65;
   logtime = 0;
   datalines;
run;
data sasuser.md;
   set empty;
   run;

%macro doit();
%do user=1 %to 20;
   data tmp;
      set empty;
   run;
   %if( &user < 10 ) %then
      %let results_file = C:\MD0000&user..txt;
   %else %if( &user < 100 ) %then
      %let results_file = C:\MD000&user..txt;
   %else
      %let results_file = C:\MD00&user..txt;
   data tmp;
      infile "&results_file" pad;
      input test 1-2 user 6-7 trial 10-12
         n 15-16 i 19-20 s 22-23 target $ 26-40
         x 41-43 y 47-49 in 52 found 55 time 62-65;
      logtime = log( time );
   run;
   proc append base=sasuser.md data=tmp;
   run;
%end;
%mend doit;

%doit();
