/* Remove cases where the target was not present. */
data sasuser.mdin;
   set sasuser.md;
   where( in > 0 );
   run;

/* Sort for interactive removal of pairs
   where at least one target was not found.
   I remove these pairs interactively, but probably
   there is some way to do this in the DATA step. */
proc sort data=sasuser.mdin;
   by user n i x y s;
   run;
