/* Concatenate all user output into a single file. */
data empty;
   input test 1-2 user 6-7 trial 10-12
      subtrial 14-16 n 19-20 s 22-23 target $ 26-40
      x 41-43 y 47-49 in 52 quad 55 found 58 time 60-65;
   logtime = 0;
   datalines;
run;
data sasuser.mo;
   set empty;
   run;

%macro doit();
%do user=1 %to 199;
   data tmp;
      set empty;
   run;
   %if( &user < 10 ) %then
      %let results_file = C:\MO0500&user..txt;
   %else %if( &user < 100 ) %then
      %let results_file = C:\MO050&user..txt;
   %else
      %let results_file = C:\MO05&user..txt;
   data tmp;
      infile "&results_file" pad;
      input test 1-2 user 6-7 trial 10-12
         subtrial 14-16 n 19-20 s 22-23 target $ 26-40
         x 41-43 y 47-49 in 52 quad 55 found 58 time 60-65;
      logtime = log( time );
   run;
   proc append base=sasuser.mo data=tmp;
   run;
%end;
%mend doit;

%doit();
