/* Compare least-squared means. */
ods html file="Test.html";
ods graphics on;
ods output LSMeans=LSMeans;
/* Consider excluding these participants, because they had unusually slow search times.
   data sasuser.mofound; set sasuser.mofound; where(( user ^= 5 ) & ( user ^= 53 ) & ( user ^= 63 )); run; */
proc mixed data=sasuser.mofound noclprint noinfo noitprint;
   class s user;
   model logtime = s;
   random user;
   lsmeans s / tdiff adjust=tukey;
   quit;
proc sort data=sasuser.mofound;
   by target;
   run;
symbol v=dot color=black;
proc boxplot data=sasuser.mofound;
   plot time*target / boxstyle=schematic idsymbol=circle
      cboxes=dagr cboxfill=vligb font=swiss;
   run;
ods graphics off;
ods html close;
